Resource
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced
Class Resource

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Resource

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

    Constructor Summary

    Resource(org.gcube.application.aquamaps.datamodel.Resource toLoad)

    Method Summary

     void
    addSource(Resource toAdd)

    Methods inherited from class org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel

    fromXML, toXML

    Methods inherited from class java.lang.Object

    getClass, notify, notifyAll, wait, wait, wait

    Constructor Detail

    Resource

    public Resource(ResourceType type,
                    int searchId)

    Resource

    public Resource(org.gcube.application.aquamaps.datamodel.Resource toLoad)

    Method Detail

    toStubsVersion

    public org.gcube.application.aquamaps.datamodel.Resource toStubsVersion()
                                                                     throws JSONException

    Throws:
    JSONException

    load

    public static java.util.List<Resource> load(org.gcube.application.aquamaps.datamodel.ResourceArray toLoad)

    toStubsVersion

    public static org.gcube.application.aquamaps.datamodel.ResourceArray toStubsVersion(java.util.List<Resource> toConvert)
                                                                                 throws JSONException

    Throws:
    JSONException

    setField

    public boolean setField(Field f)
                     throws JSONException

    Throws:
    JSONException

    getField

    public Field getField(MetaSourceFields fieldName)
                   throws JSONException

    Throws:
    JSONException

    toRow

    public java.util.List<Field> toRow()
                                throws JSONException

    Throws:
    JSONException

    getType

    public ResourceType getType()

    setType

    public void setType(ResourceType type)

    getSearchId

    public int getSearchId()

    setSearchId

    public void setSearchId(int searchId)

    getTitle

    public java.lang.String getTitle()

    setTitle

    public void setTitle(java.lang.String title)

    getTableName

    public java.lang.String getTableName()

    setTableName

    public void setTableName(java.lang.String tableName)

    getDescription

    public java.lang.String getDescription()

    setDescription

    public void setDescription(java.lang.String description)

    getAuthor

    public java.lang.String getAuthor()

    setAuthor

    public void setAuthor(java.lang.String author)

    getDisclaimer

    public java.lang.String getDisclaimer()

    setDisclaimer

    public void setDisclaimer(java.lang.String disclaimer)

    getProvenance

    public java.lang.String getProvenance()

    setProvenance

    public void setProvenance(java.lang.String provenance)

    getGenerationTime

    public java.lang.Long getGenerationTime()

    setGenerationTime

    public void setGenerationTime(java.lang.Long generationTime)

    getSourceHCAFIds

    public java.util.ArrayList<java.lang.Integer> getSourceHCAFIds()

    setSourceHCAFIds

    public void setSourceHCAFIds(java.util.ArrayList<java.lang.Integer> sourceHCAFIds)

    getSourceHSPECIds

    public java.util.ArrayList<java.lang.Integer> getSourceHSPECIds()

    setSourceHSPECIds

    public void setSourceHSPECIds(java.util.ArrayList<java.lang.Integer> sourceHSPECIds)

    getParameters

    public java.util.ArrayList<Field> getParameters()

    setParameters

    public void setParameters(java.util.ArrayList<Field> parameters)

    getStatus

    public ResourceStatus getStatus()

    setStatus

    public void setStatus(ResourceStatus status)

    getAlgorithm

    public AlgorithmType getAlgorithm()

    setAlgorithm

    public void setAlgorithm(AlgorithmType algorithm)

    getDefaultSource

    public java.lang.Boolean getDefaultSource()

    setDefaultSource

    public void setDefaultSource(java.lang.Boolean defaultSource)

    getRowCount

    public java.lang.Long getRowCount()

    setRowCount

    public void setRowCount(java.lang.Long rowCount)

    getDefaultAlgorithmType

    public static AlgorithmType getDefaultAlgorithmType()

    hashCode

    public int hashCode()

    Overrides:hashCode in class java.lang.Object

    equals

    public boolean equals(java.lang.Object obj)

    Overrides:equals in class java.lang.Object

    getSourceHSPENIds

    public java.util.ArrayList<java.lang.Integer> getSourceHSPENIds()

    setSourceHSPENIds

    public void setSourceHSPENIds(java.util.ArrayList<java.lang.Integer> sourceHSPENIds)

    getSourceOccurrenceCellsIds

    public java.util.ArrayList<java.lang.Integer> getSourceOccurrenceCellsIds()

    setSourceOccurrenceCellsIds

    public void setSourceOccurrenceCellsIds(java.util.ArrayList<java.lang.Integer> sourceOccurrenceCellsIds)

    getSourceHSPECTables

    public java.util.ArrayList<java.lang.String> getSourceHSPECTables()

    setSourceHSPECTables

    public void setSourceHSPECTables(java.util.ArrayList<java.lang.String> sourceHSPECTables)

    getSourceHSPENTables

    public java.util.ArrayList<java.lang.String> getSourceHSPENTables()

    setSourceHSPENTables

    public void setSourceHSPENTables(java.util.ArrayList<java.lang.String> sourceHSPENTables)

    getSourceHCAFTables

    public java.util.ArrayList<java.lang.String> getSourceHCAFTables()

    setSourceHCAFTables

    public void setSourceHCAFTables(java.util.ArrayList<java.lang.String> sourceHCAFTables)

    getSourceOccurrenceCellsTables

    public java.util.ArrayList<java.lang.String> getSourceOccurrenceCellsTables()

    setSourceOccurrenceCellsTables

    public void setSourceOccurrenceCellsTables(java.util.ArrayList<java.lang.String> sourceOccurrenceCellsTables)

    addSource

    public void addSource(Resource toAdd)

    removeSource

    public void removeSource(Resource toRemove)

    removeSourceId

    public void removeSourceId(java.lang.Integer id)

    removeSourceTableName

    public void removeSourceTableName(java.lang.String tableName)

    toString

    public java.lang.String toString()

    Overrides:toString in class java.lang.Object

          Overview
          Package
        Class
          Use
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD